# translation.fork_before

- name: fork_before
- description: (UNIX) Create restartable checkpoint before step
- command-line: --fork-before
- option type: choice option
- possible values:
  - annotate
  - rtype
  - backendopt
  - database
  - source
  - pyjitpl

This is an option mostly useful when working on the PyPy toolchain. If you use it, translation will fork before the specified phase. If the translation crashes after that fork, you can fix the bug in the toolchain, and continue translation at the fork-point.